Package com.trilead.ssh2.packets

# Class PacketSessionPtyRequest

java.lang.Object
com.trilead.ssh2.packets.PacketSessionPtyRequest

public class PacketSessionPtyRequest extends Object
PacketSessionPtyRequest.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`character_height`
`int`
`character_width`
`int`
`pixel_height`
`int`
`pixel_width`
`int`
`recipientChannelID`
`String`
`term`
`byte[]`
`terminal_modes`
`boolean`
`wantReply`

## Constructor Summary

Constructors
Constructor
Description
`PacketSessionPtyRequest(int recipientChannelID, boolean wantReply, String term, int character_width, int character_height, int pixel_width, int pixel_height, byte[] terminal_modes)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### wantReply

public boolean wantReply

### term

public String term

### character_width

public int character_width

### character_height

public int character_height

### pixel_width

public int pixel_width

### pixel_height

public int pixel_height

### terminal_modes

public byte[] terminal_modes

## Constructor Details

### PacketSessionPtyRequest

public PacketSessionPtyRequest(int recipientChannelID, boolean wantReply, String term, int character_width, int character_height, int pixel_width, int pixel_height, byte[] terminal_modes)

## Method Details

### getPayload

public byte[] getPayload()